## Acme
Class IntHashtable

    java.lang.Object
      java.util.Dictionary
          Acme.IntHashtable

All Implemented Interfaces:
  java.lang.Cloneable

public class IntHashtable
extends java.util.Dictionary
implements java.lang.Cloneable

Constructor Summary
`IntHashtable()`
`IntHashtable(int initialCapacity)`
`IntHashtable(int initialCapacity, float loadFactor)`

Method Summary
`void` `clear()`
`java.lang.Object` `clone()`
`boolean` `contains(java.lang.Object value)`
`boolean` `containsKey(int key)`
`java.util.Enumeration` `elements()`
`java.lang.Object` `get(int key)`
`java.lang.Object` `get(java.lang.Object okey)`
`boolean` `isEmpty()`
`java.util.Enumeration` `keys()`
`java.lang.Object` `put(int key, java.lang.Object value)`
`java.lang.Object` `put(java.lang.Object okey, java.lang.Object value)`
`protected void` `rehash()`
`java.lang.Object` `remove(int key)`
`java.lang.Object` `remove(java.lang.Object okey)`
`int` `size()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntHashtable

    public IntHashtable(int initialCapacity,
                        float loadFactor)

### IntHashtable

    public IntHashtable(int initialCapacity)

### IntHashtable

    public IntHashtable()

Method Detail

### size

    public int size()

### isEmpty

    public boolean isEmpty()

### keys

    public java.util.Enumeration keys()

### elements

    public java.util.Enumeration elements()

### contains

    public boolean contains(java.lang.Object value)

### containsKey

    public boolean containsKey(int key)

### get

    public java.lang.Object get(int key)

### get

    public java.lang.Object get(java.lang.Object okey)

### rehash

    protected void rehash()

### put

    public java.lang.Object put(int key,
                                java.lang.Object value)

### put

    public java.lang.Object put(java.lang.Object okey,
                                java.lang.Object value)

### remove

    public java.lang.Object remove(int key)

### remove

    public java.lang.Object remove(java.lang.Object okey)

### clear

    public void clear()

### clone

    public java.lang.Object clone()

### toString

    public java.lang.String toString()

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details